> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Customs Information

GET https://api.bigcommerce.com/stores/{store_hash}/v3/shipping/products/customs-information

Get customs information for products.

This list can be filtered to return customs information objects specific to a list of requested product_ids. This is achieved by appending the query string `?product_id:in=4,5,6` to the resource `/shipping/products/customs-information`.

```http
GET /shipping/products/customs-information?product_id:in=4,5,6
```

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/shipping/v3/customs-information/get-customs-information

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `product_id:in` (list of integer, optional) — A comma-separated list of product IDs. For more information, see [Filtering](/developer/api-reference/rest/overview#filtering).
- `page` (integer, optional) — The page number of the results to return, starting at 1.
- `limit` (integer, optional) — The number of results to return per page.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (list of customsInformation, optional)
- `meta` (metaCollection, optional) — Meta data relating to pagination.

## Errors

### 400 Bad Request Error

Bad Request. The filter uses an operator other than `:in`.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — A short, human-readable summary of the problem.
- `type` (string, optional) — A URL that describes the status code.
- `errors` (map from string to string, optional) — Field-level error messages, keyed by field name. Empty when the error is not field-specific.

## Types

### customsInformation

Data about the customs information object.

- `product_id` (integer, optional) — The ID of the product which the customs information data will apply to.
- `country_of_origin` (string, optional) — The country of manufacture, production, or growth represented in ISO 3166-1 alpha-2 format.
- `commodity_description` (string, optional) — Description that provides information for customs to identify and verify shapes physical characteristics and packaging of each shipment.
- `international_shipping` (boolean, optional) — Flag to determine whether this product will be shipped internationally.
- `hs_codes` (harmonizedSystemCodes, optional) — Key-value pairs that are commonly used in the following form: `countryISO2: '/^[0-9A-Za-z]{6,14}$/'` This key-value pair represents a country and the associated `hs_code` that applies to that country. You can also use the `ALL` key in place of an ISO2 key to specify that the `hs_code` applies to all countries. The `ALL` key can be combined with other countries in the `hs_code` object.
- `created_at` (datetime, optional) — Date and time when the customs information was created.
- `updated_at` (datetime, optional) — Date and time when the customs information was last updated.

### metaCollection

Meta data relating to pagination.

- `pagination` (MetaCollectionPagination, optional)

### harmonizedSystemCodes

Key-value pairs that are commonly used in the following form: `countryISO2: '/^[0-9A-Za-z]{6,14}$/'` This key-value pair represents a country and the associated `hs_code` that applies to that country. You can also use the `ALL` key in place of an ISO2 key to specify that the `hs_code` applies to all countries. The `ALL` key can be combined with other countries in the `hs_code` object.

### MetaCollectionPagination

- `total` (integer, optional) — Total number of items returned.
- `count` (integer, optional) — Number of items returned on per page.
- `per_page` (integer, optional) — Number of items to be displayed per page.
- `current_page` (integer, optional) — Current page number.
- `total_page` (integer, optional) — Total number of pages.
- `links` (MetaCollectionPaginationLinks, optional)

### MetaCollectionPaginationLinks

- `previous` (string, optional) — Query string appended to the resource to return to the previous page.
- `next` (string, optional) — Query string appended to the resource to proceed to the next page.
- `current` (string, optional) — Query string appended to the resource to show the current page.

## Examples

**Response**

```json
{
  "data": [
    {
      "product_id": 77,
      "country_of_origin": "US",
      "commodity_description": "Baseball caps",
      "international_shipping": true,
      "hs_codes": {
        "ALL": "501000",
        "AU": "817355",
        "CA": "508313",
        "US": "641000"
      },
      "created_at": {},
      "updated_at": {}
    }
  ],
  "meta": {
    "pagination": {
      "total": 3,
      "count": 1,
      "per_page": 1,
      "current_page": 2,
      "total_page": 3,
      "links": {
        "previous": "?limit=1&page=1",
        "next": "?limit=1&page=3",
        "current": "?limit=1&page=2"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/shipping/products/customs-information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```